Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.knowgate.sms
Enum SMSResponse.StatusCode

    java.lang.Object
      java.lang.Enum<SMSResponse.StatusCode>
          com.knowgate.sms.SMSResponse.StatusCode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<SMSResponse.StatusCode>

Enclosing class:
  SMSResponse

    public static enum SMSResponse.StatusCode

extends java.lang.Enum<SMSResponse.StatusCode>

Enum Constant Summary
`NEGATIVE_CALL_BARRED_BY_OPERATOR`
`NEGATIVE_FAILED_DELIVERY`
`NEGATIVE_MSISDN_IS_BLACKLISTED`
`NEGATIVE_OUT_OF_CREDIT`
`NEGATIVE_RETRYING_DELIVERY`
`POSITIVE_ACK`
`TEMPORARY_ACK`
`TEMPORARY_ACK_WAITING_FOR_HANDSET`

Method Summary
`int` | `intValue()`
`java.lang.String` | `toString()`
`static SMSResponse.StatusCode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SMSResponse.StatusCode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### POSITIVE_ACK

    public static final SMSResponse.StatusCode POSITIVE_ACK

### TEMPORARY_ACK

    public static final SMSResponse.StatusCode TEMPORARY_ACK

### TEMPORARY_ACK_WAITING_FOR_HANDSET

    public static final SMSResponse.StatusCode TEMPORARY_ACK_WAITING_FOR_HANDSET

### NEGATIVE_RETRYING_DELIVERY

    public static final SMSResponse.StatusCode NEGATIVE_RETRYING_DELIVERY

### NEGATIVE_MSISDN_IS_BLACKLISTED

    public static final SMSResponse.StatusCode NEGATIVE_MSISDN_IS_BLACKLISTED

### NEGATIVE_CALL_BARRED_BY_OPERATOR

    public static final SMSResponse.StatusCode NEGATIVE_CALL_BARRED_BY_OPERATOR

### NEGATIVE_FAILED_DELIVERY

    public static final SMSResponse.StatusCode NEGATIVE_FAILED_DELIVERY

### NEGATIVE_OUT_OF_CREDIT

    public static final SMSResponse.StatusCode NEGATIVE_OUT_OF_CREDIT

Method Detail

### values

    public static SMSResponse.StatusCode[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SMSResponse.StatusCode c : SMSResponse.StatusCode.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SMSResponse.StatusCode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### intValue

    public int intValue()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Enum<SMSResponse.StatusCode>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD